Package be.ehealth.technicalconnector.service.sts.security.impl

# Class BeIDCredential

java.lang.Object
be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
be.ehealth.technicalconnector.service.sts.security.impl.BeIDCredential

All Implemented Interfaces:
  `Credential`, `ExtendedCredential`

public final class BeIDCredential extends AbstractExtendedCredential
The Class BeIDCredential. Implementation of `AbstractExtendedCredential` and `SessionServiceWithCache`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EID_AUTH_ALIAS`
  Using the authentication certifate on the eid;
  `static final String`
  `EID_SIGN_ALIAS`
  Using the non-repudiation certifcate on the eid;
  `static final String`
  `PROP_USE_CACHE`
  Property to activate or desactivate caching of the BeIDCredential.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X509Certificate`
  `getCertificate()`
  Gets the certificate.
  `Certificate[]`
  `getCertificateChain()`
  Gets the certificate chain
  `static BeIDCredential`
  `getInstance(String scope, String aliasName)`
  Gets the single instance of BeIDCredential.
  `String`
  `getIssuer()`
  Gets the issuer.
  `String`
  `getIssuerQualifier()`
  Gets the issuer qualifier.
  `KeyStore`
  `getKeyStore()`
  Gets the associated `KeyStore`
  `PrivateKey`
  `getPrivateKey()`
  Gets the private key.
  `String`
  `getProviderName()`
  Gets the keystore provider
  `PublicKey`
  `getPublicKey()`
  Gets the public key.

  ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

  `getCertPath, getExpirationDateTime`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_USE_CACHE

    public static final String PROP_USE_CACHE
    Property to activate or desactivate caching of the BeIDCredential. Default:: false
    See Also:
      - Constant Field Values

  - ### EID_AUTH_ALIAS

    public static final String EID_AUTH_ALIAS
    Using the authentication certifate on the eid;
    See Also:
      - Constant Field Values

  - ### EID_SIGN_ALIAS

    public static final String EID_SIGN_ALIAS
    Using the non-repudiation certifcate on the eid;
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static BeIDCredential getInstance(String scope, String aliasName)
    Gets the single instance of BeIDCredential.
    Parameters:
      `scope` -
      `aliasName` -
    Returns:
      single instance of BeIDCredential
    Throws:
      `TechnicalConnectorException` - the technical connector exception

  - ### getPrivateKey

    public PrivateKey getPrivateKey()
    Gets the private key.
    Returns:
      the private key

  - ### getPublicKey

    public PublicKey getPublicKey()
    Gets the public key.
    Returns:
      the public key

  - ### getCertificate

    public X509Certificate getCertificate()
    Gets the certificate.
    Returns:
      the certificate

  - ### getIssuer

    public String getIssuer()
    Gets the issuer.
    Returns:
      the issuer

  - ### getIssuerQualifier

    public String getIssuerQualifier()
    Gets the issuer qualifier.
    Returns:
      the issuer qualifier

  - ### getKeyStore

    public KeyStore getKeyStore() throws TechnicalConnectorException
    Description copied from interface: `Credential`
    Gets the associated `KeyStore`
    Throws:
      `TechnicalConnectorException`

  - ### getProviderName

    public String getProviderName() throws TechnicalConnectorException
    Description copied from interface: `Credential`
    Gets the keystore provider
    Throws:
      `TechnicalConnectorException`

  - ### getCertificateChain

    public Certificate[] getCertificateChain()
    Description copied from interface: `Credential`
    Gets the certificate chain